Overview
GET/content/categories/{id}content

Get categories by id

Fetch a record from categories by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

categories

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • namestring
  • descriptionstring
  • colorstring
  • iconstring
  • parentIdstring?
  • sortOrderinteger
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "name": "string",
  "description": "string",
  "color": "string",
  "icon": "string",
  "parentId": "string",
  "sortOrder": 0,
  "createdAt": "string",
  "updatedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/categories/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/categories/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();